scala.math.Numeric

# FloatIsFractional

#### implicit object FloatIsFractional extends FloatIsFractional with FloatOrdering

Source
  Numeric.scala

Linear Supertypes
FloatOrdering, FloatIsFractional, Fractional[Float], FloatIsConflicted, Numeric[Float], Ordering[Float], PartialOrdering[Float], Equiv[Float], Serializable, java.io.Serializable, Comparator[Float], AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FloatIsFractional
2. FloatOrdering
3. FloatIsFractional
4. Fractional
5. FloatIsConflicted
6. Numeric
7. Ordering
8. PartialOrdering
9. Equiv
10. Serializable
11. Serializable
12. Comparator
13. AnyRef
14. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class FractionalOps extends Ops

   Definition Classes
     Fractional

2. #### class Ops extends AnyRef

   Definition Classes
     Numeric

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def abs(x: Float): Float

   Definition Classes
     FloatIsConflicted → Numeric

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def compare(x: Float, y: Float): Int

   Returns an integer whose sign communicates how x compares to y.

   Returns an integer whose sign communicates how x compares to y.

   The result sign has the following meaning:

   - negative if x < y
   - positive if x > y
   - zero otherwise (if x == y)
   Definition Classes
     FloatOrdering → Ordering → Comparator

8. #### def div(x: Float, y: Float): Float

   Definition Classes
     FloatIsFractional → Fractional

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def equiv(x: Float, y: Float): Boolean

    Return true if `x` == `y` in the ordering.

    Return true if `x` == `y` in the ordering.

    Definition Classes
      FloatOrdering → Ordering → PartialOrdering → Equiv

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def fromInt(x: Int): Float

    Definition Classes
      FloatIsConflicted → Numeric

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def gt(x: Float, y: Float): Boolean

    Return true if `x` > `y` in the ordering.

    Return true if `x` > `y` in the ordering.

    Definition Classes
      FloatOrdering → Ordering → PartialOrdering

16. #### def gteq(x: Float, y: Float): Boolean

    Return true if `x` >= `y` in the ordering.

    Return true if `x` >= `y` in the ordering.

    Definition Classes
      FloatOrdering → Ordering → PartialOrdering

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def lt(x: Float, y: Float): Boolean

    Return true if `x` < `y` in the ordering.

    Return true if `x` < `y` in the ordering.

    Definition Classes
      FloatOrdering → Ordering → PartialOrdering

20. #### def lteq(x: Float, y: Float): Boolean

    Return true if `x` <= `y` in the ordering.

    Return true if `x` <= `y` in the ordering.

    Definition Classes
      FloatOrdering → Ordering → PartialOrdering

21. #### def max(x: Float, y: Float): Float

    Return `x` if `x` >= `y`, otherwise `y`.

    Return `x` if `x` >= `y`, otherwise `y`.

    Definition Classes
      FloatOrdering → Ordering

22. #### def min(x: Float, y: Float): Float

    Return `x` if `x` <= `y`, otherwise `y`.

    Return `x` if `x` <= `y`, otherwise `y`.

    Definition Classes
      FloatOrdering → Ordering

23. #### def minus(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

24. #### implicit def mkNumericOps(lhs: Float): FractionalOps

    Definition Classes
      Fractional → Numeric

25. #### implicit def mkOrderingOps(lhs: Float): FloatIsFractional.Ops

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    Definition Classes
      Ordering

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def negate(x: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def on[U](f: (U) ⇒ Float): Ordering[U]

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

        def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))

    Definition Classes
      Ordering

31. #### def one: Float

    Definition Classes
      Numeric

32. #### def plus(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

33. #### def reverse: Ordering[Float]

    Return the opposite ordering of this one.

    Return the opposite ordering of this one.

    Definition Classes
      FloatOrdering → Ordering → PartialOrdering

34. #### def signum(x: Float): Int

    Definition Classes
      Numeric

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def times(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

37. #### def toDouble(x: Float): Double

    Definition Classes
      FloatIsConflicted → Numeric

38. #### def toFloat(x: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

39. #### def toInt(x: Float): Int

    Definition Classes
      FloatIsConflicted → Numeric

40. #### def toLong(x: Float): Long

    Definition Classes
      FloatIsConflicted → Numeric

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### def tryCompare(x: Float, y: Float): Some[Int]

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Definition Classes
      Ordering → PartialOrdering

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def zero: Float

    Definition Classes
      Numeric

### Inherited from FloatOrdering

### Inherited from FloatIsFractional

### Inherited from Fractional[Float]

### Inherited from FloatIsConflicted

### Inherited from Numeric[Float]

### Inherited from Ordering[Float]

### Inherited from PartialOrdering[Float]

### Inherited from Equiv[Float]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Comparator[Float]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped